Summary: HTTP server daemon to provide WWW services
Name: apache
Version: 1.2.6
# Serial number taken from APACHE_RELEASE definition in src/httpd.h
# Update Serial Number when Apache version is changed.
#Serial: 1020499
Release: 1
Copyright: GPL
Group: Networking/Daemons
Source0: ftp://ftp.apache.org/apache/dist/apache_%{PACKAGE_VERSION}.tar.gz
Source1: poweredby.gif
Source2: index.html
Source3: httpd.init
Source4: apache.log
Source5: README.suEXEC
Source6: killproc_by_SIGTERM
Patch0: apache-1.2.6-1-config.patch
Patch1: apache-1.2.6-1-httpd-user.patch
BuildRoot: /tmp/apache-root
URL: http://www.apache.org/
#Packager:  Markus Pilzecker <mp@rhein-neckar.netsurf.de>

%description
The Apache web server is the best free web server available in the UNIX
world today. It uses HTTP (HyperText Transfer Protocol) to allow web
browsers to view documents and submit data remotely.  It has the ability
to perform a number of different functions, including proxying and
caching, and offers features such as a status monitor, dynamic type
conversion, and more. 

%package suexec
Summary: Apache suEXEC CGI wrapper
Group: Networking/Daemons
Requires: apache = %{PACKAGE_VERSION}

%description suexec
The suEXEC feature provides the ability to run CGI programs under user
ids different from the user id of the calling web-server. Used
properly, this feature can reduce considerably the insecurity of
allowing users to run CGI programs. At the same time, improperly
configured, this facility can crash your computer, burn your house
down and steal all the money from your retirement fund. :-) If you
aren't familiar with managing setuid root programs and the security
issues they present, we highly recommend that you not consider using
this feature.

To use this package, the sources in the support directory must
be compiled. Read the accompanying readme file for information on how
to do so.

%package doc
Summary: Apache documentation
Group: Documentation
Requires: apache = %{PACKAGE_VERSION}

%description doc
Documentation for apache in HTML format.

%prep 
%setup -n apache_%{PACKAGE_VERSION}
for I in access httpd srm; do
	cp -a conf/$I.conf-dist conf/$I.conf
done

%patch0 -p1
%patch1 -p1
find . -name '*.orig' -print0 | xargs -0r rm

%build
(cd src; ./Configure)
cat support/Makefile | sed 's/^TARGETS=.*$/& suexec/' > support/Makefile.tmp
cat <<EOF >> support/Makefile.tmp
suexec: suexec.c suexec.h
	\$(CC) \$(CFLAGS) suexec.c -o suexec

EOF
mv support/Makefile.tmp support/Makefile
make OPTIM="$RPM_OPT_FLAGS" -C src
make OPTIM="$RPM_OPT_FLAGS" -C support

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/home/httpd/{html,cgi-bin,icons,sbin}
mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf
mkdir -p $RPM_BUILD_ROOT/usr/{bin,sbin}
mkdir -p $RPM_BUILD_ROOT/usr/man/man{1,8}
mkdir -p $RPM_BUILD_ROOT/var/spool/proxy
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/{init.d,rc{0,1,3,5,6}.d}
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
mkdir -p $RPM_BUILD_ROOT/var/log/httpd
#ln -sf /var/log/httpd $RPM_BUILD_ROOT/etc/httpd/logs

cp conf/* $RPM_BUILD_ROOT/etc/httpd/conf
cp cgi-bin/* $RPM_BUILD_ROOT/home/httpd/cgi-bin

install -m755 -s src/httpd $RPM_BUILD_ROOT/usr/sbin
for f in htdigest htpasswd rotatelogs log_server_status httpd_monitor \
logresolve dbmmanage dbmmanage.new; do
	install -m755 -s support/$f $RPM_BUILD_ROOT/usr/sbin
done

install -m644 support/httpd.8 $RPM_BUILD_ROOT/usr/man/man8
install -m644 support/htpasswd.1 $RPM_BUILD_ROOT/usr/man/man1

cp $RPM_SOURCE_DIR/index.html $RPM_BUILD_ROOT/home/httpd/html
cp $RPM_SOURCE_DIR/poweredby.gif $RPM_BUILD_ROOT/home/httpd/icons
cp -a htdocs/manual $RPM_BUILD_ROOT/home/httpd/html/manual
cp icons/* $RPM_BUILD_ROOT/home/httpd/icons

install -m755 $RPM_SOURCE_DIR/{httpd.init,killproc_by_SIGTERM} \
	$RPM_BUILD_ROOT/etc/rc.d/init.d

for I in 0 1 6; do
	ln -sf ../init.d/httpd.init $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/K25httpd
done
for I in 3 5; do
	ln -sf ../init.d/httpd.init $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/S85httpd
done

install -s support/suexec $RPM_BUILD_ROOT/home/httpd/sbin

install -m644 $RPM_SOURCE_DIR/apache.log $RPM_BUILD_ROOT/etc/logrotate.d/apache
cp -a $RPM_SOURCE_DIR/README.suEXEC .

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo "The default user account, which apache runs under, is \`-1\'."
echo "The default group account, which apache runs under, is \`-1\'."
echo "On most systems that means nobody..."
echo "If you don\'t like that, you have to change that in \'httpd.conf\'."

%files
%attr(-,root,root) %config /etc/httpd/conf/*.conf
%attr(-,root,root) %config /etc/httpd/conf/mime.types
%attr(-,root,root) %config /home/httpd/html/index.html
%attr(-,root,root) %config /etc/logrotate.d/apache
%attr(-,root,root) %doc ABOUT_APACHE CHANGES KEYS LICENSE README
%attr(-,root,root) %dir /etc/httpd
%attr(-,root,root) %dir /etc/httpd/conf
%attr(-,root,root) %dir /home/httpd
%attr(-,root,root) %dir /home/httpd/html
%attr(-,root,root) /etc/rc.d/init.d/*
%attr(-,root,root) /etc/httpd/conf/*.conf-dist
#%attr(-,root,root) /etc/httpd/logs
%attr(-,root,root) /etc/rc.d/rc*/*
%attr(-,root,root) /home/httpd/cgi-bin
%attr(-,root,root) /home/httpd/icons
%attr(-,root,root) /usr/sbin/httpd
%attr(-,root,root) /usr/sbin/httpd_monitor
%attr(-,root,root) /usr/sbin/rotatelogs
%attr(-,root,root) /usr/sbin/logresolve
%attr(-,root,root) /usr/sbin/log_server_status
%attr(-,root,root) /usr/sbin/dbmmanage
%attr(-,root,root) /usr/sbin/dbmmanage.new
%attr(-,root,root) /usr/sbin/htpasswd
%attr(-,root,root) /usr/sbin/htdigest
%attr(-,root,root) /usr/man/man1/htpasswd.1
%attr(-,root,root) /usr/man/man8/httpd.8
%attr(-,root,root) %dir /var/log/httpd

%files doc
%attr(-,root,root) %docdir /home/httpd/html/manual
%attr(-,root,root) /home/httpd/html/manual

%files suexec
%attr(-,root,root) %doc README.suEXEC support/suexec.[ch]
%attr(4711,root,root) /home/httpd/sbin/suexec

# Contributors:
#  - Timo Karjalainen <timok@iki.fi>
#  - Manoj Kasichainula <manojk@io.com>
#  - Ximenes Zalteca <ximenes@netset.com>

%changelog
* Mon Apr 06 1998 Jim Bowen <jim@zereau.net>
 - new apache version

* Tue Jan 27 1998 Andy C. Brandt <andy@cs.net.pl>
 - new apache version

* Sat Nov 08 1997 Andy C. Brandt <andy@cs.net.pl>
 - small fix of the infamous "httpd no such user" error

* Thu Oct 09 1997 Markus Pilzecker <mp@rhein-neckar.netsurf.de>
 - renamed apache-functions to killproc_by_SIGTERM to encourage use by others
 - removed unneeded linking against crypt lib
 - suexec now in /home/httpd/sbin
 - Log directory /var/log/httpd
 - Apache runs as user httpd now
 - Added -r to patch cleanup xargs call here in this spec file

* Sat Sep 13 1997 Jani Hakala <jahakala@cc.jyu.fi>
 - Built against glibc.
 - Can be built as an ordinary user.

* Wed Aug 27 1997 Manoj Kasichainula <manojk@io.com> (1.2.4-3)
 - Bug in SRPM fixed. No one should have ever seen 1.2.4-2

* Tue Aug 26 1997 Manoj Kasichainula <manojk@io.com> (1.2.4-2)
 - Fixed /etc/rc.d/init.d/httpd stop so that it doesn't kill -9
 - Added Serial: field, although it is commented out because of bugs
   in RPM 2.3

* Fri Aug 22 1997 Manoj Kasichainula <manojk@io.com>
 - Updated to version 1.2.4

* Wed Aug 20 1997 Manoj Kasichainula <manojk@io.com>
 - Fixed Alpha and (potential) Sparc support

* Tue Aug 19 1997 Manoj Kasichainula <manojk@io.com>
 - Updated to 1.2.3

* Sat Aug 2 1997 Manoj Kasichainula <manojk@io.com>
 - HostnameLookups now defaults to "Off" as in 1.3a1. This reduces
   unnecessary DNS traffic
 - Added RealVideo workaround for HTTP/1.1 header bug
 - Added MSIE 4.0 PR2 workaround of HTTP/1.1 bugs, and associated patch
 - Changed .pac extension from mime.types entry to AddType directive
 - Fiddled with default CGI path
 - Put back sample CGI scripts, which somehow disappeared recently
 - Minor spec file changes

* Wed Jul 9 1997 Manoj Kasichainula <manojk@io.com>
 - Added workaround to allow applet loading using JDK 1.0.2
 - Added htpasswd man page

* Mon Jul 7 1997 Timo Karjalainen <timok@iki.fi>
 - Upgraded to version 1.2.1
